<div class="modal-content">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
      <h4 class="modal-title">Control Room</h4>
      <p>Synchronize SpaceGraph with with Zotero bibliography and local PDF file library. Note, that some steps may take considerable time to complete, depending on the size of library and number of annotation on PDF files.</p>

      <div class="row center">
          <button type="submit" class="btn btn-md btn-filter" id="synchronizeSpaceGraph" onclick="startSynchronization()">Start synchronization</button>
          <button type="submit" class="btn btn-md btn-danger" id="clearSpaceGraph" onclick="clearSpaceGraph()">Clear SpaceGraph database</button>
      </div>
<!--
      <form action="/synchronizeSpaceGraph" method="post" id="synchronizeSpaceGraph">
        <button type="submit" class="btn btn-default">Start synchronization</button>
      </form>
-->

  </div>


  <div class="modal-body">
    {{# each synchronizationStepArray as | synchronizationStep | }}
    <div class="row" id="{{ synchronizationStep.name }}">
      <div class="col-md-6">
        <span class="step-description">
            {{ synchronizationStep.description }}
        </span>
      </div>
      <div class="col-md-1 indicator" >
          <span class='vcenter glyphicon glyphicon-ok-sign'</span>
      </div>
      <div class="col-md-1 percentage-info">

      </div>
      <div class="col-md-4 progress-info">

      </div>
    </div>

    {{/each}}
  </div>

  <div class="modal-footer">
      <button type="submit" class="btn btn-default" data-dismiss="modal" onclick="location.reload(true)">Close & Refresh</button>
  </div>
</div>
<script>
  var socket = io.connect('http://'+document.location.hostname+':3001');
  socket.on('synchronization-step', function (message) {
    document.getElementById(message.name).getElementsByClassName("indicator")[0].className += " "+message.result;
//    document.getElementById(message.name).getElementsByClassName("indicator")[0].first().attr('title',message.report);
//    document.getElementById(message.name).getElementsByClassName("progress-info")[0].innerHTML = "";
  });
  socket.on('progress-info', function(message) {
    document.getElementById(message.name).getElementsByClassName("percentage-info")[0].innerHTML = "<span class='text-xs-center' id='progress-caption'>"+message.completedPercents+"%</span>";
    document.getElementById(message.name).getElementsByClassName("progress-info")[0].innerHTML = "<progress class='progress' value='"+message.completedPercents+"' max='100' aria-describedby='progress-caption'></progress>";
  });


  function startSynchronization() {

    socket.emit('synchronizeSpaceGraph',{status: "started"});

    $('#synchronizeSpaceGraph').attr('disabled','disabled');
    $('#synchronizeSpaceGraph').html('Synchronizing...');

    socket.on('synchronizeSpaceGraph',function(socket) {
      if (socket.status == 'finished') {
        $('#synchronizeSpaceGraph').removeAttr('disabled');
        $('#synchronizeSpaceGraph').html('Synchronized');
      }
    });
  }

  function clearSpaceGraph() {
    $('#clearSpaceGraph').attr('disabled','disabled');
    $('#clearSpaceGraph').html('Clearing database...');

    $.post("/clearSpaceGraph", function() {
      $('#clearSpaceGraph').removeAttr('disabled');
      $('#clearSpaceGraph').html('SpaceGraph is empty..');
    });
  }
</script>
